This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 355591 - scalc crashes when format cell is selected
scalc crashes when format cell is selected
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
8
i686 Linux
low Severity high
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-27 23:56 EDT by Amirul Shukry
Modified: 2008-02-17 17:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-01 14:08:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Amirul Shukry 2007-10-27 23:56:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.8) Gecko/20071023 Fedora/2.0.0.8-1.fc8 Firefox/2.0.0.8

Description of problem:
scalc crashes when format cell is attempted

Version-Release number of selected component (if applicable):
openoffice.org-calc-2.3.0-6.6.fc8

How reproducible:
Always


Steps to Reproduce:
1. launch scalc
2. right click on cell
3. select Format Cell...
4. crash

Actual Results:
crash

Expected Results:
format cell dialog should appear

Additional info:
(I)    x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules//drivers/radeon_drv.so
(II) Loading /usr/lib/xorg/modules//drivers/ati_drv.so
(II) Reloading /usr/lib/xorg/modules//drivers/radeon_drv.so
(--) Depth 24 pixmap format is 32 bpp
(III)  Desktop is: GNOME
(IV)   libgcj version is: libgcj-4.1.2-33-i386
(V)    kernel is: Linux 2.6.23.1-35.fc8 #1 SMP Wed Oct 24 21:25:41 EDT 2007 i686 athlon i386
(VI)   OpenOffice.org core rpm version is: openoffice.org-core-2.3.0-6.6.fc8-i386
(VII)  accessibility is: false
(VIII) fedora release is: Fedora release 8 (Werewolf)
...start free space details ...
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/mapper/VolGroupf8-LogVol00
                      74763432  44079956  30683476  59% /
/dev/mapper/VolGroupf8-LogVol00
                      74763432  44079956  30683476  59% /
...end free space details ...
...start sestatus details ...
SELinux status:                 disabled
...end sestatus details ...
...start stackreport details ...
0x003471a9: 0x001cd374: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x211a9
0x00347c6e: 0x001cd374: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x21c6e
0x00110420: 0x00000000:  + 0x420 (__kernel_sigreturn + 0x0)
0x008cb437: 0x0003544c: /usr/lib/libicule.so.38 + 0x14437
0x008c7385: 0x0003544c: /usr/lib/libicule.so.38 + 0x10385
0x008ccc59: 0x0003544c: /usr/lib/libicule.so.38 + 0x15c59
0x008c871c: 0x0003544c: /usr/lib/libicule.so.38 + 0x1171c
0x008bd36d: 0x0003544c: /usr/lib/libicule.so.38 + 0x636d (icu_3_8::OpenTypeLayoutEngine::adjustGlyphPositions(unsigned short const*, int, int, signed char, icu_3_8::LEGlyphStorage&, icu_3_8::LEErrorCode&) + 0xed)
0x008c0a2e: 0x0003544c: /usr/lib/libicule.so.38 + 0x9a2e (icu_3_8::LayoutEngine::layoutChars(unsigned short const*, int, int, int, signed char, float, float, icu_3_8::LEErrorCode&) + 0x12e)
0x05a3647a: 0x003d903c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x28047a
0x05a3602b: 0x003d903c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x28002b (ServerFontLayout::LayoutText(ImplLayoutArgs&) + 0x99)
0x058d4dfe: 0x003d903c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x11edfe
0x058d6bbc: 0x003d903c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x120bbc
0x058d7e05: 0x003d903c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x121e05 (OutputDevice::GetTextArray(String const&, long*, unsigned short, unsigned short) const + 0x6f)
0x058d7ef7: 0x003d903c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x121ef7 (OutputDevice::GetTextWidth(String const&, unsigned short, unsigned short) const + 0x29)
0x05a0b990: 0x003d903c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x255990
0x05a0cbdb: 0x003d903c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x256bdb
0x05a0cd2b: 0x003d903c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x256d2b
0x05a159d7: 0x003d903c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x25f9d7 (ListBox::InsertEntry(String const&, unsigned short) + 0x37)
0x03a5d791: 0x002cec04: /usr/lib/openoffice.org/program/libcui680li.so + 0x1b4791
0x03a6286c: 0x002cec04: /usr/lib/openoffice.org/program/libcui680li.so + 0x1b986c
0x06b7c73b: 0x003bd978: /usr/lib/openoffice.org/program/libsfx680li.so + 0x24773b
0x06b7ce4c: 0x003bd978: /usr/lib/openoffice.org/program/libsfx680li.so + 0x247e4c
0x06b7d027: 0x003bd978: /usr/lib/openoffice.org/program/libsfx680li.so + 0x248027 (SfxTabDialog::Execute() + 0x35)
0x0310f4b1: 0x00085740: /usr/lib/openoffice.org/program/libscui680li.so + 0x1a4b1
0x0280d0e6: 0x00a86f60: /usr/lib/openoffice.org/program/libsc680li.so + 0x1c30e6 (ScTabViewShell::ExecuteCellFormatDlg(SfxRequest&, unsigned short) + 0x186)
0x0286eefb: 0x00a86f60: /usr/lib/openoffice.org/program/libsc680li.so + 0x224efb
0x02866251: 0x00a86f60: /usr/lib/openoffice.org/program/libsc680li.so + 0x21c251
0x06b00a2b: 0x003bd978: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1cba2b
0x06aff0e8: 0x003bd978: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1ca0e8
0x06aff497: 0x003bd978: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1ca497 (SfxDispatcher::_Execute(SfxShell&, SfxSlot const&, SfxRequest&, unsigned short) + 0x14d)
0x06af6467: 0x003bd978: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1c1467
0x06af81ef: 0x003bd978: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1c31ef
0x06af835d: 0x003bd978: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1c335d (SfxBindings::Execute(unsigned short, SfxPoolItem const**, unsigned short, unsigned short, SfxPoolItem const**) + 0x3b)
0x06b1c764: 0x003bd978: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1e7764
0x06b1c7c3: 0x003bd978: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1e77c3
0x05847b93: 0x003d903c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x91b93
0x05987c52: 0x003d903c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x1d1c52 (Menu::Select() + 0x46)
0x0598ddc4: 0x003d903c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x1d7dc4
0x0598f8af: 0x003d903c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x1d98af (PopupMenu::Execute(Window*, Rectangle const&, unsigned short) + 0x47)
0x0598f8eb: 0x003d903c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x1d98eb (PopupMenu::Execute(Window*, Point const&) + 0x37)
0x06b1c577: 0x003bd978: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1e7577
0x06b1d1bd: 0x003bd978: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1e81bd
0x06b005c9: 0x003bd978: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1cb5c9 (SfxDispatcher::ExecutePopup(unsigned short, Window*, Point const*) + 0xf7)
0x028315e6: 0x00a86f60: /usr/lib/openoffice.org/program/libsc680li.so + 0x1e75e6
0x059d5539: 0x003d903c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x21f539
0x059d7759: 0x003d903c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x221759
0x059d8e78: 0x003d903c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x222e78
0x059d7a0e: 0x003d903c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x221a0e
0x00e336a3: 0x00058af0: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so + 0x386a3
0x00e310ea: 0x00058af0: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so + 0x360ea
0x06098382: 0x00403ad8: /usr/lib/libgtk-x11-2.0.so.0 + 0x162382
0x00cdaf83: 0x0003f544: /lib/libgobject-2.0.so.0 + 0x8f83 (g_closure_invoke + 0x123)
0x00ceb48d: 0x0003f544: /lib/libgobject-2.0.so.0 + 0x1948d
0x00cec75f: 0x0003f544: /lib/libgobject-2.0.so.0 + 0x1a75f (g_signal_emit_valist + 0x68f)
0x00cecb59: 0x0003f544: /lib/libgobject-2.0.so.0 + 0x1ab59 (g_signal_emit + 0x29)
0x061d2568: 0x00403ad8: /usr/lib/libgtk-x11-2.0.so.0 + 0x29c568
0x0609027e: 0x00403ad8: /usr/lib/libgtk-x11-2.0.so.0 + 0x15a27e (gtk_propagate_event + 0x1ae)
0x060916d3: 0x00403ad8: /usr/lib/libgtk-x11-2.0.so.0 + 0x15b6d3 (gtk_main_do_event + 0x443)
0x005b98ba: 0x00097fb8: /usr/lib/libgdk-x11-2.0.so.0 + 0x468ba
0x00afc10c: 0x000c80c4: /lib/libglib-2.0.so.0 + 0x2d10c (g_main_context_dispatch + 0x17c)
0x00aff54f: 0x000c80c4: /lib/libglib-2.0.so.0 + 0x3054f
0x00affab5: 0x000c80c4: /lib/libglib-2.0.so.0 + 0x30ab5 (g_main_context_iteration + 0x65)
0x00e0f4a8: 0x00058af0: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so + 0x144a8
0x00ee70bd: 0x000826bc: /usr/lib/openoffice.org/program/libvclplug_gen680li.so + 0x4e0bd (X11SalInstance::Yield(bool, bool) + 0x2f)
0x0584fddf: 0x003d903c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x99ddf (Application::Yield(bool) + 0x57)
0x0584fe9d: 0x003d903c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x99e9d (Application::Execute() + 0x2b)
0x022127db: 0x000622ec: /usr/lib/openoffice.org/program/libsoffice.so + 0x247db (desktop::Desktop::Main() + 0x15fb)
0x05854933: 0x003d903c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x9e933
0x05854a49: 0x003d903c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x9ea49 (SVMain() + 0x2d)
0x0220be3e: 0x000622ec: /usr/lib/openoffice.org/program/libsoffice.so + 0x1de3e (main + 0xe2)
0x00928390: 0x00154d7c: /lib/libc.so.6 + 0x16390 (__libc_start_main + 0xe0)
0x080484e1: 0x000006f8: /usr/lib/openoffice.org/program/scalc.bin + 0x4e1 (main + 0x59)
...end stackreport details ...
...start sample ldd details ...
	linux-gate.so.1 =>  (0x00110000)
	libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0x00170000)
	libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0x00577000)
	libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0x00611000)
	libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0x0062d000)
	libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0x00649000)
	libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0x00653000)
	libcairo.so.2 => /usr/lib/libcairo.so.2 (0x00694000)
	libgmodule-2.0.so.0 => /lib/libgmodule-2.0.so.0 (0x00717000)
	libdl.so.2 => /lib/libdl.so.2 (0x0071b000)
	libgthread-2.0.so.0 => /lib/libgthread-2.0.so.0 (0x00720000)
	librt.so.1 => /lib/librt.so.1 (0x00725000)
	libdbus-glib-1.so.2 => /usr/lib/libdbus-glib-1.so.2 (0x0072e000)
	libdbus-1.so.3 => /lib/libdbus-1.so.3 (0x0074b000)
	libgobject-2.0.so.0 => /lib/libgobject-2.0.so.0 (0x0078a000)
	libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0x007ca000)
	libvclplug_gen680li.so => /usr/lib/openoffice.org/program/libvclplug_gen680li.so (0x00910000)
	libvcl680li.so => /usr/lib/openoffice.org/program/libvcl680li.so (0x00999000)
	libpsp680li.so => /usr/lib/openoffice.org/program/libpsp680li.so (0x00d79000)
	libsot680li.so => /usr/lib/openoffice.org/program/libsot680li.so (0x00e7d000)
	libutl680li.so => /usr/lib/openoffice.org/program/libutl680li.so (0x00ee5000)
	libtl680li.so => /usr/lib/openoffice.org/program/libtl680li.so (0x00f83000)
	libcomphelp4gcc3.so => /usr/lib/openoffice.org/program/libcomphelp4gcc3.so (0x03d16000)
	libucbhelper4gcc3.so => /usr/lib/openoffice.org/program/libucbhelper4gcc3.so (0x027b6000)
	libuno_cppuhelpergcc3.so.3 => /usr/lib/openoffice.org/program/libuno_cppuhelpergcc3.so.3 (0x02d76000)
	libuno_cppu.so.3 => /usr/lib/openoffice.org/program/libuno_cppu.so.3 (0x00893000)
	libvos3gcc3.so => /usr/lib/openoffice.org/program/libvos3gcc3.so (0x008c1000)
	libuno_sal.so.3 => /usr/lib/openoffice.org/program/libuno_sal.so.3 (0x073a2000)
	libX11.so.6 => /usr/lib/libX11.so.6 (0x05b64000)
	libXext.so.6 => /usr/lib/libXext.so.6 (0x040a8000)
	libpthread.so.0 => /lib/libpthread.so.0 (0x041ad000)
	libstlport_gcc.so => /usr/lib/openoffice.org/program/libstlport_gcc.so (0x0562e000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x05977000)
	libm.so.6 => /lib/libm.so.6 (0x0437d000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x04034000)
	libc.so.6 => /lib/libc.so.6 (0x065ed000)
	libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0x008e8000)
	libpng12.so.0 => /usr/lib/libpng12.so.0 (0x06079000)
	libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x01030000)
	libXrender.so.1 => /usr/lib/libXrender.so.1 (0x0603f000)
	libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0x008ed000)
	libXi.so.6 => /usr/lib/libXi.so.6 (0x0105f000)
	libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0x01068000)
	libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0x0106f000)
	libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0x01079000)
	libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x06145000)
	libz.so.1 => /lib/libz.so.1 (0x06053000)
	/lib/ld-linux.so.2 (0x008f3000)
	libnsl.so.1 => /lib/libnsl.so.1 (0x010aa000)
	libcap.so.1 => /lib/libcap.so.1 (0x008f0000)
	libSM.so.6 => /usr/lib/libSM.so.6 (0x02c34000)
	libICE.so.6 => /usr/lib/libICE.so.6 (0x010c3000)
	libi18nisolang1gcc3.so => /usr/lib/openoffice.org/program/libi18nisolang1gcc3.so (0x02c10000)
	libbasegfx680li.so => /usr/lib/openoffice.org/program/libbasegfx680li.so (0x0333c000)
	libicuuc.so.38 => /usr/lib/libicuuc.so.38 (0x010dd000)
	libicule.so.38 => /usr/lib/libicule.so.38 (0x02f5e000)
	libjvmaccessgcc3.so.3 => /usr/lib/openoffice.org/program/libjvmaccessgcc3.so.3 (0x0120c000)
	libjvmfwk.so.3 => /usr/lib/openoffice.org/program/libjvmfwk.so.3 (0x01215000)
	libuno_salhelpergcc3.so.3 => /usr/lib/openoffice.org/program/libuno_salhelpergcc3.so.3 (0x02bec000)
	libcrypt.so.1 => /lib/libcrypt.so.1 (0x04a82000)
	libxcb-xlib.so.0 => /usr/lib/libxcb-xlib.so.0 (0x01234000)
	libxcb.so.1 => /usr/lib/libxcb.so.1 (0x01236000)
	libXau.so.6 => /usr/lib/libXau.so.6 (0x01252000)
	libexpat.so.1 => /lib/libexpat.so.1 (0x037ea000)
	libicudata.so.38 => /usr/lib/libicudata.so.38 (0xb7523000)
	libxml2.so.2 => /usr/lib/libxml2.so.2 (0x051b2000)
	libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0x03562000)
...end sample ldd details ...
Comment 1 Amirul Shukry 2007-10-28 07:04:17 EDT
Installed OxygenOffice 2.3, no crash on format cell :-)
Comment 2 Caolan McNamara 2007-10-28 08:38:32 EDT
Hmm, I'm not seeing this, but it looks like a crash in libicu on a particular
sequence of text, so...

a) what's rpm -q libicu
b) what's echo $LANG
and
c) what's the application font, use e.g. fc-match "Sans" if the application font
is set as "Sans" in the gnome settings dialog
Comment 3 Amirul Shukry 2007-10-28 10:44:20 EDT
a) libicu-3.8-1.fc8
b) en_US.UTF-8
c) application font is "Sans". fc-match "Sans" gives DejaVuSans.ttf: "DejaVu
Sans" "Book"
Comment 4 Caolan McNamara 2007-10-28 15:42:15 EDT
Most odd, I have exactly the same, and no such problem, confused.
Comment 5 Amirul Shukry 2007-10-28 23:38:41 EDT
Would using compiz-fusion-0.6.0-2.fc8 with emerald-0.5.2-2.fc8 have anything to
do with it?
Comment 6 Amirul Shukry 2007-11-01 13:55:59 EDT
Guess what? The last round of updates fixed it! Here's the list of updates:
Nov 01 13:56:40 Updated: nash - 6.0.19-4.fc8.i386
Nov 01 13:56:40 Updated: pulseaudio-core-libs - 0.9.7-0.17.svn20071017.fc8.i386
Nov 01 13:56:47 Updated: coreutils - 6.9-9.fc8.i386
Nov 01 13:56:50 Updated: pulseaudio - 0.9.7-0.17.svn20071017.fc8.i386
Nov 01 13:56:55 Updated: libuser - 0.56.6-2.i386
Nov 01 13:56:56 Updated: pulseaudio-libs - 0.9.7-0.17.svn20071017.fc8.i386
Nov 01 13:56:57 Updated: nautilus-extensions - 2.20.0-6.fc8.i386
Nov 01 13:57:02 Updated: compiz - 0.6.2-3.fc8.i386
Nov 01 13:57:03 Updated: dmraid - 1.0.0.rc14-4.fc8.i386
Nov 01 13:57:04 Updated: mkinitrd - 6.0.19-4.fc8.i386
Nov 01 13:57:04 Updated: pulseaudio-libs-glib2 - 0.9.7-0.17.svn20071017.fc8.i386
Nov 01 13:57:05 Updated: pulseaudio-module-x11 - 0.9.7-0.17.svn20071017.fc8.i386
Nov 01 13:57:57 Updated: kernel - 2.6.23.1-42.fc8.i686
Nov 01 14:13:37 Updated: compiz-gnome - 0.6.2-3.fc8.i386
Nov 01 14:15:03 Updated: nautilus - 2.20.0-6.fc8.i386
Nov 01 14:15:03 Updated: pulseaudio-utils - 0.9.7-0.17.svn20071017.fc8.i386
Nov 01 14:15:04 Updated: pulseaudio-module-gconf - 0.9.7-0.17.svn20071017.fc8.i386
Nov 01 14:15:06 Updated: gparted - 0.3.3-13.fc8.i386
Nov 01 14:15:06 Updated: gtk-nodoka-engine - 0.6-5.fc8.i386
Nov 01 14:15:09 Updated: rhgb - 8.0.2-1.fc8.i386
Nov 01 14:15:25 Updated: firefox - 2.0.0.8-2.fc8.i386
Nov 01 14:15:32 Updated: selinux-policy - 3.0.8-42.fc8.noarch
Nov 01 14:18:14 Updated: selinux-policy-targeted - 3.0.8-42.fc8.noarch
Nov 01 14:18:14 Updated: libuser-devel - 0.56.6-2.i386
Nov 01 14:18:15 Updated: pulseaudio-esound-compat - 0.9.7-0.17.svn20071017.fc8.i386
Nov 01 14:18:22 Updated: kernel-headers - 2.6.23.1-42.fc8.i386
Nov 01 14:18:22 Updated: hal-info - 20071030-1.fc8.noarch
Nov 01 14:19:00 Updated: kernel-devel - 2.6.23.1-42.fc8.i686
Nov 01 14:19:09 Updated: fedora-release-notes - 8.0.0-3.noarch
Nov 01 14:19:31 Updated: python - 2.5.1-15.fc8.i386
Nov 01 14:19:33 Updated: python-libs - 2.5.1-15.fc8.i386
Nov 01 14:19:39 Updated: system-config-date - 1.9.16-1.fc8.noarch
Nov 01 14:19:42 Updated: python-devel - 2.5.1-15.fc8.i386
Nov 01 14:19:42 Updated: libbdevid-python - 6.0.19-4.fc8.i386
Nov 01 14:19:43 Updated: libuser-python - 0.56.6-2.i386
Nov 01 14:19:44 Updated: isomd5sum - 11.3.0.50-1.i386
Nov 01 14:19:56 Updated: anaconda - 11.3.0.50-1.i386
Nov 01 14:19:57 Updated: tkinter - 2.5.1-15.fc8.i386

Thanks for your attention, keep up the excellent work, you guys are the best!
Comment 7 Caolan McNamara 2007-11-01 14:08:57 EDT
well, thats good. Hopefully it truly was something in the above and is now fixed.
Comment 8 Juliano F. Ravasi 2008-02-17 15:02:38 EST
I'm getting this error with F7, OO.o lastest version. I can't seem to be able to
REOPEN this bug report.

---start copy and paste here---
(I)    x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules/drivers//nvidia_drv.so
(III)  Desktop is: not GNOME
(IV)   libgcj version is: libgcj-4.1.2-27.fc7-i386
(V)    kernel is: Linux 2.6.23.14-64.fc7 #1 SMP Sun Jan 20 23:54:08 EST 2008
i686 i686 i386
(VI)   OpenOffice.org core rpm version is: openoffice.org-core-2.3.0-6.5.fc7-i386
(VII)  depth of root window:    24 planes
(VIII) accessibility is: false
(VIV)  fedora release is: Fedora release 7 (Moonshine)
...start sestatus details ...
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   permissive
Mode from config file:          permissive
Policy version:                 21
Policy from config file:        targeted
...end sestatus details ...
...start stackreport details ...
0x0048b33c: 0x001cd374: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x2133c
0x0048bcfb: 0x001cd374: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x21cfb
0x00110420: 0x00000000:  + 0x420 (__kernel_sigreturn + 0x0)
0x007fb957: 0x00040b8c: /usr/lib/libicule.so.36 + 0x20957
(icu_3_6::LEInsertionList::getGrowAmount() + 0x7)
0x007f7755: 0x00040b8c: /usr/lib/libicule.so.36 + 0x1c755
(icu_3_6::GlyphIterator::applyInsertions() + 0x25)
0x007fd5c9: 0x00040b8c: /usr/lib/libicule.so.36 + 0x225c9
(icu_3_6::LookupProcessor::process(icu_3_6::LEGlyphStorage&,
icu_3_6::GlyphPositionAdjustments*, signed char,
icu_3_6::GlyphDefinitionTableHeader const*, icu_3_6::LEFontInstance const*)
const + 0x119)
0x007f8d1c: 0x00040b8c: /usr/lib/libicule.so.36 + 0x1dd1c
(icu_3_6::GlyphPositioningTableHeader::process(icu_3_6::LEGlyphStorage&,
icu_3_6::GlyphPositionAdjustments*, signed char, unsigned int, unsigned int,
icu_3_6::GlyphDefinitionTableHeader const*, icu_3_6::LEFontInstance const*,
icu_3_6::FeatureMap const*, int, signed char) const + 0x7c)
0x007edbdd: 0x00040b8c: /usr/lib/libicule.so.36 + 0x12bdd
(icu_3_6::OpenTypeLayoutEngine::adjustGlyphPositions(unsigned short const*, int,
int, signed char, icu_3_6::LEGlyphStorage&, icu_3_6::LEErrorCode&) + 0xed)
0x007f11ae: 0x00040b8c: /usr/lib/libicule.so.36 + 0x161ae
(icu_3_6::LayoutEngine::layoutChars(unsigned short const*, int, int, int, signed
char, float, float, icu_3_6::LEErrorCode&) + 0x12e)
0x077663f6: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x37f3f6 (IcuLayoutEngine::operator()(ServerFontLayout&, ImplLayoutArgs&) + 0x192)
0x07765eb1: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x37eeb1 (ServerFontLayout::LayoutText(ImplLayoutArgs&) + 0x99)
0x07604a8c: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x21da8c (OutputDevice::ImplGlyphFallbackLayout(SalLayout*, ImplLayoutArgs&)
const + 0x1e6)
0x07604f7e: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x21df7e (OutputDevice::ImplLayout(String const&, unsigned short, unsigned
short, Point const&, long, long const*, bool) const + 0x37c)
0x0760608b: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x21f08b (OutputDevice::GetTextArray(String const&, long*, unsigned short,
unsigned short) const + 0x6f)
0x0760617d: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x21f17d (OutputDevice::GetTextWidth(String const&, unsigned short, unsigned
short) const + 0x29)
0x0773bca8: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x354ca8 (ImplListBoxWindow::ImplCalcEntryMetrics(ImplEntryType const&, unsigned
char) + 0x40)
0x0773cc65: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x355c65 (ImplListBoxWindow::InsertEntry(unsigned short, ImplEntryType*) + 0x75)
0x0773cdb5: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x355db5 (ImplListBox::InsertEntry(unsigned short, String const&) + 0x57)
0x077448c1: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x35d8c1 (ListBox::InsertEntry(String const&, unsigned short) + 0x37)
0x05452d3d: 0x002dcc04: /usr/lib/openoffice.org/program/libcui680li.so + 0x1c2d3d
0x0545587e: 0x002dcc04: /usr/lib/openoffice.org/program/libcui680li.so + 0x1c587e
0x0237496a: 0x004e8ed8: /usr/lib/openoffice.org/program/libsfx680li.so +
0x37496a (SfxTabDialog::ActivatePageHdl(TabControl*) + 0x218)
0x02374a9b: 0x004e8ed8: /usr/lib/openoffice.org/program/libsfx680li.so +
0x374a9b (SfxTabDialog::LinkStubActivatePageHdl(void*, void*) + 0x1d)
0x067c7e99: 0x000770cc: /usr/lib/openoffice.org/program/libsoffice.so + 0x3ce99
(Link::Call(void*) const + 0x1b)
0x07752d3b: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x36bd3b (TabControl::ActivatePage() + 0x21)
0x07757480: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x370480 (TabControl::SelectTabPage(unsigned short) + 0x6c)
0x077576a9: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x3706a9 (TabControl::MouseButtonDown(MouseEvent const&) + 0x31)
0x07706c0e: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x31fc0e (ImplHandleMouseEvent(Window*, unsigned short, unsigned char, long,
long, unsigned long, unsigned short, unsigned short) + 0xf90)
0x07708595: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x321595 (ImplHandleSalMouseButtonDown(Window*, SalMouseEvent*) + 0x41)
0x077071a2: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x3201a2 (ImplWindowFrameProc(void*, SalFrame*, unsigned short, void const*) +
0x10a)
0x00e36af9: 0x0006f110: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so +
0x4eaf9 (SalFrame::CallCallback(unsigned short, void const*) const + 0x23)
0x00e31a82: 0x0006f110: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so +
0x49a82 (GtkSalFrame::signalButton(_GtkWidget*, _GdkEventButton*, void*) + 0x18c)
0x07036500: 0x0039a86c: /usr/lib/libgtk-x11-2.0.so.0 + 0x133500
0x00d09da2: 0x0003e544: /lib/libgobject-2.0.so.0 + 0x8da2 (g_closure_invoke + 0x122)
0x00d1a4d3: 0x0003e544: /lib/libgobject-2.0.so.0 + 0x194d3
0x00d1b7bf: 0x0003e544: /lib/libgobject-2.0.so.0 + 0x1a7bf (g_signal_emit_valist
+ 0x68f)
0x00d1bbb9: 0x0003e544: /lib/libgobject-2.0.so.0 + 0x1abb9 (g_signal_emit + 0x29)
0x0714b298: 0x0039a86c: /usr/lib/libgtk-x11-2.0.so.0 + 0x248298
0x0702f8c3: 0x0039a86c: /usr/lib/libgtk-x11-2.0.so.0 + 0x12c8c3
(gtk_propagate_event + 0x183)
0x07030ac7: 0x0039a86c: /usr/lib/libgtk-x11-2.0.so.0 + 0x12dac7
(gtk_main_do_event + 0x317)
0x0609f41a: 0x0008b978: /usr/lib/libgdk-x11-2.0.so.0 + 0x4141a
0x0022d7f2: 0x0009d29c: /lib/libglib-2.0.so.0 + 0x2b7f2 (g_main_context_dispatch
+ 0x182)
0x002307cf: 0x0009d29c: /lib/libglib-2.0.so.0 + 0x2e7cf
0x00230d35: 0x0009d29c: /lib/libglib-2.0.so.0 + 0x2ed35
(g_main_context_iteration + 0x65)
0x00e127dc: 0x0006f110: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so +
0x2a7dc (GtkXLib::Yield(bool, bool) + 0x94)
0x00ecce59: 0x000a339c: /usr/lib/openoffice.org/program/libvclplug_gen680li.so +
0x6ee59 (X11SalInstance::Yield(bool, bool) + 0x2f)
0x0757d8ab: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x1968ab (Application::Yield(bool) + 0x57)
0x0769ffb3: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x2b8fb3 (Dialog::Execute() + 0x95)
0x02374d13: 0x004e8ed8: /usr/lib/openoffice.org/program/libsfx680li.so +
0x374d13 (SfxTabDialog::Execute() + 0x3d)
0x03a828ed: 0x000899a0: /usr/lib/openoffice.org/program/libscui680li.so + 0x1e8ed
0x4180284e: 0x00ea06c0: /usr/lib/openoffice.org/program/libsc680li.so + 0x5d284e
(ScTabViewShell::ExecuteCellFormatDlg(SfxRequest&, unsigned short) + 0x186)
0x41864a3f: 0x00ea06c0: /usr/lib/openoffice.org/program/libsc680li.so + 0x634a3f
(ScCellShell::Execute(SfxRequest&) + 0x78b)
0x4185a161: 0x00ea06c0: /usr/lib/openoffice.org/program/libsc680li.so + 0x62a161
(SfxStubScCellShellExecute(SfxShell*, SfxRequest&) + 0x1d)
0x022f5671: 0x004e8ed8: /usr/lib/openoffice.org/program/libsfx680li.so +
0x2f5671 (SfxShell::CallExec(void (*)(SfxShell*, SfxRequest&), SfxRequest&) + 0xf)
0x022f41a2: 0x004e8ed8: /usr/lib/openoffice.org/program/libsfx680li.so +
0x2f41a2 (SfxDispatcher::Call_Impl(SfxShell&, SfxSlot const&, SfxRequest&,
unsigned char) + 0x330)
0x022f4577: 0x004e8ed8: /usr/lib/openoffice.org/program/libsfx680li.so +
0x2f4577 (SfxDispatcher::_Execute(SfxShell&, SfxSlot const&, SfxRequest&,
unsigned short) + 0x14d)
0x022ed1c7: 0x004e8ed8: /usr/lib/openoffice.org/program/libsfx680li.so +
0x2ed1c7 (SfxBindings::Execute_Impl(SfxRequest&, SfxSlot const*, SfxShell*) + 0x2e9)
0x022ed4ef: 0x004e8ed8: /usr/lib/openoffice.org/program/libsfx680li.so +
0x2ed4ef (SfxBindings::Execute_Impl(unsigned short, SfxPoolItem const**,
unsigned short, unsigned short, SfxPoolItem const**, unsigned char) + 0x2d1)
0x022ed674: 0x004e8ed8: /usr/lib/openoffice.org/program/libsfx680li.so +
0x2ed674 (SfxBindings::Execute(unsigned short, SfxPoolItem const**, unsigned
short, unsigned short, SfxPoolItem const**) + 0x44)
0x02311516: 0x004e8ed8: /usr/lib/openoffice.org/program/libsfx680li.so +
0x311516 (SfxMenuManager::Select(Menu*) + 0x86)
0x02311581: 0x004e8ed8: /usr/lib/openoffice.org/program/libsfx680li.so +
0x311581 (SfxMenuManager::LinkStubSelect(void*, void*) + 0x1d)
0x067c7e99: 0x000770cc: /usr/lib/openoffice.org/program/libsoffice.so + 0x3ce99
(Link::Call(void*) const + 0x1b)
0x076ba464: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x2d3464 (Menu::Select() + 0x46)
0x076bcb8c: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x2d5b8c (PopupMenu::ImplExecute(Window*, Rectangle const&, unsigned long,
Menu*, unsigned char) + 0x70e)
0x076be5eb: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x2d75eb (PopupMenu::Execute(Window*, Rectangle const&, unsigned short) + 0x53)
0x076be62b: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x2d762b (PopupMenu::Execute(Window*, Point const&) + 0x37)
0x023113cf: 0x004e8ed8: /usr/lib/openoffice.org/program/libsfx680li.so +
0x3113cf (SfxPopupMenuManager::Execute(Point const&, Window*) + 0x2b)
0x02311fa9: 0x004e8ed8: /usr/lib/openoffice.org/program/libsfx680li.so +
0x311fa9 (SfxPopupMenuManager::ExecutePopup(ResId const&, SfxViewFrame*, Point
const&, Window*) + 0x2bf)
0x022f1f69: 0x004e8ed8: /usr/lib/openoffice.org/program/libsfx680li.so +
0x2f1f69 (SfxDispatcher::ExecutePopup(unsigned short, Window*, Point const*) + 0xf7)
0x4182909c: 0x00ea06c0: /usr/lib/openoffice.org/program/libsc680li.so + 0x5f909c
(ScGridWindow::Command(CommandEvent const&) + 0x52e)
0x07704e8f: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x31de8f
0x07706eed: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x31feed (ImplHandleMouseEvent(Window*, unsigned short, unsigned char, long,
long, unsigned long, unsigned short, unsigned short) + 0x126f)
0x07708595: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x321595 (ImplHandleSalMouseButtonDown(Window*, SalMouseEvent*) + 0x41)
0x077071a2: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x3201a2 (ImplWindowFrameProc(void*, SalFrame*, unsigned short, void const*) +
0x10a)
0x00e36af9: 0x0006f110: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so +
0x4eaf9 (SalFrame::CallCallback(unsigned short, void const*) const + 0x23)
0x00e31a82: 0x0006f110: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so +
0x49a82 (GtkSalFrame::signalButton(_GtkWidget*, _GdkEventButton*, void*) + 0x18c)
0x07036500: 0x0039a86c: /usr/lib/libgtk-x11-2.0.so.0 + 0x133500
0x00d09da2: 0x0003e544: /lib/libgobject-2.0.so.0 + 0x8da2 (g_closure_invoke + 0x122)
0x00d1a4d3: 0x0003e544: /lib/libgobject-2.0.so.0 + 0x194d3
0x00d1b7bf: 0x0003e544: /lib/libgobject-2.0.so.0 + 0x1a7bf (g_signal_emit_valist
+ 0x68f)
0x00d1bbb9: 0x0003e544: /lib/libgobject-2.0.so.0 + 0x1abb9 (g_signal_emit + 0x29)
0x0714b298: 0x0039a86c: /usr/lib/libgtk-x11-2.0.so.0 + 0x248298
0x0702f8c3: 0x0039a86c: /usr/lib/libgtk-x11-2.0.so.0 + 0x12c8c3
(gtk_propagate_event + 0x183)
0x07030ac7: 0x0039a86c: /usr/lib/libgtk-x11-2.0.so.0 + 0x12dac7
(gtk_main_do_event + 0x317)
0x0609f41a: 0x0008b978: /usr/lib/libgdk-x11-2.0.so.0 + 0x4141a
0x0022d7f2: 0x0009d29c: /lib/libglib-2.0.so.0 + 0x2b7f2 (g_main_context_dispatch
+ 0x182)
0x002307cf: 0x0009d29c: /lib/libglib-2.0.so.0 + 0x2e7cf
0x00230d35: 0x0009d29c: /lib/libglib-2.0.so.0 + 0x2ed35
(g_main_context_iteration + 0x65)
0x00e127dc: 0x0006f110: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so +
0x2a7dc (GtkXLib::Yield(bool, bool) + 0x94)
0x00ecce59: 0x000a339c: /usr/lib/openoffice.org/program/libvclplug_gen680li.so +
0x6ee59 (X11SalInstance::Yield(bool, bool) + 0x2f)
0x0757d8ab: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x1968ab (Application::Yield(bool) + 0x57)
0x0757d969: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x196969 (Application::Execute() + 0x2b)
0x067c422b: 0x000770cc: /usr/lib/openoffice.org/program/libsoffice.so + 0x3922b
(desktop::Desktop::Main() + 0x15fb)
0x0758243b: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x19b43b (ImplSVMain() + 0x49)
0x07582551: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x19b551 (SVMain() + 0x2d)
0x067bd88e: 0x000770cc: /usr/lib/openoffice.org/program/libsoffice.so + 0x3288e
(main + 0xe2)
0x009b2f70: 0x0014fd7c: /lib/libc.so.6 + 0x15f70 (__libc_start_main + 0xe0)
0x080484c1: 0x000006d8: /usr/lib/openoffice.org/program/scalc.bin + 0x4c1 (main
+ 0x5d)
...end stackreport details ...
...start sample ldd details ...
        linux-gate.so.1 =>  (0x00110000)
        libuno_sal.so.3 => /usr/lib/openoffice.org/program/libuno_sal.so.3
(0x00138000)
        libuno_salhelpergcc3.so.3 =>
/usr/lib/openoffice.org/program/libuno_salhelpergcc3.so.3 (0x0030a000)
        libstore.so.3 => /usr/lib/openoffice.org/program/libstore.so.3 (0x0030f000)
        libdl.so.2 => /lib/libdl.so.2 (0x0032c000)
        libpthread.so.0 => /lib/libpthread.so.0 (0x00331000)
        libstlport_gcc.so => /usr/lib/openoffice.org/program/libstlport_gcc.so
(0x00349000)
        libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x00418000)
        libm.so.6 => /lib/libm.so.6 (0x00503000)
        libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x0052c000)
        libc.so.6 => /lib/libc.so.6 (0x00538000)
        libcrypt.so.1 => /lib/libcrypt.so.1 (0x0068c000)
        /lib/ld-linux.so.2 (0x0097e000)
...end sample ldd details ...
---end copy and paste here---
paste the above into your bug report
Comment 9 Juliano F. Ravasi 2008-02-17 17:17:35 EST
Same crash happens when I go to Tools -> Options -> Language Settings ->
Language. I should note that I have Asian Typography enabled, and can't disable
it now since OOo crashes on this dialog.

Crash report follows:

(I)    x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules/drivers//nvidia_drv.so
(III)  Desktop is: not GNOME
(IV)   libgcj version is: libgcj-4.1.2-27.fc7-i386
(V)    kernel is: Linux 2.6.23.15-80.fc7 #1 SMP Sun Feb 10 17:29:10 EST 2008
i686 i686 i386
(VI)   OpenOffice.org core rpm version is: openoffice.org-core-2.3.0-6.5.fc7-i386
(VII)  depth of root window:    24 planes
(VIII) accessibility is: false
(VIV)  fedora release is: Fedora release 7 (Moonshine)
...start sestatus details ...
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   permissive
Mode from config file:          permissive
Policy version:                 21
Policy from config file:        targeted
...end sestatus details ...
...start stackreport details ...
0x0048b33c: 0x001cd374: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x2133c
0x0048bcfb: 0x001cd374: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x21cfb
0x00110420: 0x00000000:  + 0x420 (__kernel_sigreturn + 0x0)
0x007fb957: 0x00040b8c: /usr/lib/libicule.so.36 + 0x20957
(icu_3_6::LEInsertionList::getGrowAmount() + 0x7)
0x007f7755: 0x00040b8c: /usr/lib/libicule.so.36 + 0x1c755
(icu_3_6::GlyphIterator::applyInsertions() + 0x25)
0x007fd5c9: 0x00040b8c: /usr/lib/libicule.so.36 + 0x225c9
(icu_3_6::LookupProcessor::process(icu_3_6::LEGlyphStorage&,
icu_3_6::GlyphPositionAdjustments*, signed char,
icu_3_6::GlyphDefinitionTableHeader const*, icu_3_6::LEFontInstance const*)
const + 0x119)
0x007f8d1c: 0x00040b8c: /usr/lib/libicule.so.36 + 0x1dd1c
(icu_3_6::GlyphPositioningTableHeader::process(icu_3_6::LEGlyphStorage&,
icu_3_6::GlyphPositionAdjustments*, signed char, unsigned int, unsigned int,
icu_3_6::GlyphDefinitionTableHeader const*, icu_3_6::LEFontInstance const*,
icu_3_6::FeatureMap const*, int, signed char) const + 0x7c)
0x007edbdd: 0x00040b8c: /usr/lib/libicule.so.36 + 0x12bdd
(icu_3_6::OpenTypeLayoutEngine::adjustGlyphPositions(unsigned short const*, int,
int, signed char, icu_3_6::LEGlyphStorage&, icu_3_6::LEErrorCode&) + 0xed)
0x007f11ae: 0x00040b8c: /usr/lib/libicule.so.36 + 0x161ae
(icu_3_6::LayoutEngine::layoutChars(unsigned short const*, int, int, int, signed
char, float, float, icu_3_6::LEErrorCode&) + 0x12e)
0x077663f6: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x37f3f6 (IcuLayoutEngine::operator()(ServerFontLayout&, ImplLayoutArgs&) + 0x192)
0x07765eb1: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x37eeb1 (ServerFontLayout::LayoutText(ImplLayoutArgs&) + 0x99)
0x07604a8c: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x21da8c (OutputDevice::ImplGlyphFallbackLayout(SalLayout*, ImplLayoutArgs&)
const + 0x1e6)
0x07604f7e: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x21df7e (OutputDevice::ImplLayout(String const&, unsigned short, unsigned
short, Point const&, long, long const*, bool) const + 0x37c)
0x0760608b: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x21f08b (OutputDevice::GetTextArray(String const&, long*, unsigned short,
unsigned short) const + 0x6f)
0x0760617d: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x21f17d (OutputDevice::GetTextWidth(String const&, unsigned short, unsigned
short) const + 0x29)
0x0773bca8: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x354ca8 (ImplListBoxWindow::ImplCalcEntryMetrics(ImplEntryType const&, unsigned
char) + 0x40)
0x0773cc65: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x355c65 (ImplListBoxWindow::InsertEntry(unsigned short, ImplEntryType*) + 0x75)
0x0773cdb5: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x355db5 (ImplListBox::InsertEntry(unsigned short, String const&) + 0x57)
0x077448c1: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x35d8c1 (ListBox::InsertEntry(String const&, unsigned short) + 0x37)
0x09559734: 0x002dcc04: /usr/lib/openoffice.org/program/libcui680li.so + 0x96734
0x09559b9b: 0x002dcc04: /usr/lib/openoffice.org/program/libcui680li.so + 0x96b9b
0x09564075: 0x002dcc04: /usr/lib/openoffice.org/program/libcui680li.so + 0xa1075
0x0956b399: 0x002dcc04: /usr/lib/openoffice.org/program/libcui680li.so + 0xa8399
0x0956c2ab: 0x002dcc04: /usr/lib/openoffice.org/program/libcui680li.so + 0xa92ab
0x067c7e99: 0x000770cc: /usr/lib/openoffice.org/program/libsoffice.so + 0x3ce99
(Link::Call(void*) const + 0x1b)
0x07582bc5: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x19bbc5 (Timer::Timeout() + 0x1f)
0x07582d0f: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x19bd0f (Timer::ImplTimerCallbackProc() + 0x7b)
0x00ec326c: 0x000a339c: /usr/lib/openoffice.org/program/libvclplug_gen680li.so +
0x6526c (SalTimer::CallCallback() + 0x12)
0x00ec307e: 0x000a339c: /usr/lib/openoffice.org/program/libvclplug_gen680li.so +
0x6507e (X11SalData::Timeout() const + 0x2a)
0x00e13b8f: 0x0006f110: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so +
0x2bb8f (GtkXLib::timeoutFn(void*) + 0x6f)
0x00e13bc6: 0x0006f110: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so +
0x2bbc6 (call_timeoutFn + 0x1a)
0x0022ddc6: 0x0009d29c: /lib/libglib-2.0.so.0 + 0x2bdc6
0x0022d7f2: 0x0009d29c: /lib/libglib-2.0.so.0 + 0x2b7f2 (g_main_context_dispatch
+ 0x182)
0x002307cf: 0x0009d29c: /lib/libglib-2.0.so.0 + 0x2e7cf
0x00230d35: 0x0009d29c: /lib/libglib-2.0.so.0 + 0x2ed35
(g_main_context_iteration + 0x65)
0x00e127dc: 0x0006f110: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so +
0x2a7dc (GtkXLib::Yield(bool, bool) + 0x94)
0x00ecce59: 0x000a339c: /usr/lib/openoffice.org/program/libvclplug_gen680li.so +
0x6ee59 (X11SalInstance::Yield(bool, bool) + 0x2f)
0x0757d8ab: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x1968ab (Application::Yield(bool) + 0x57)
0x0769ffb3: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x2b8fb3 (Dialog::Execute() + 0x95)
0x09568e52: 0x002dcc04: /usr/lib/openoffice.org/program/libcui680li.so + 0xa5e52
0x0952a16d: 0x002dcc04: /usr/lib/openoffice.org/program/libcui680li.so + 0x6716d
0x021df9a6: 0x004e8ed8: /usr/lib/openoffice.org/program/libsfx680li.so +
0x1df9a6 (SfxApplication::OfaExec_Impl(SfxRequest&) + 0x174)
0x021d5757: 0x004e8ed8: /usr/lib/openoffice.org/program/libsfx680li.so +
0x1d5757 (SfxStubSfxApplicationOfaExec_Impl(SfxShell*, SfxRequest&) + 0x1d)
0x022f5671: 0x004e8ed8: /usr/lib/openoffice.org/program/libsfx680li.so +
0x2f5671 (SfxShell::CallExec(void (*)(SfxShell*, SfxRequest&), SfxRequest&) + 0xf)
0x022f41a2: 0x004e8ed8: /usr/lib/openoffice.org/program/libsfx680li.so +
0x2f41a2 (SfxDispatcher::Call_Impl(SfxShell&, SfxSlot const&, SfxRequest&,
unsigned char) + 0x330)
0x022f4577: 0x004e8ed8: /usr/lib/openoffice.org/program/libsfx680li.so +
0x2f4577 (SfxDispatcher::_Execute(SfxShell&, SfxSlot const&, SfxRequest&,
unsigned short) + 0x14d)
0x022ed1c7: 0x004e8ed8: /usr/lib/openoffice.org/program/libsfx680li.so +
0x2ed1c7 (SfxBindings::Execute_Impl(SfxRequest&, SfxSlot const*, SfxShell*) + 0x2e9)
0x0230a209: 0x004e8ed8: /usr/lib/openoffice.org/program/libsfx680li.so +
0x30a209 (SfxDispatchController_Impl::dispatch(com::sun::star::util::URL const&,
com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&,
com::sun::star::uno::Reference<com::sun::star::frame::XDispatchResultListener>
const&) + 0x6f7)
0x0230a6fe: 0x004e8ed8: /usr/lib/openoffice.org/program/libsfx680li.so +
0x30a6fe (SfxOfficeDispatch::dispatch(com::sun::star::util::URL const&,
com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) + 0xb6)
0x04c51630: 0x0027f23c: /usr/lib/openoffice.org/program/libfwk680li.so + 0xbf630
0x04c516d9: 0x0027f23c: /usr/lib/openoffice.org/program/libfwk680li.so + 0xbf6d9
0x067c7e99: 0x000770cc: /usr/lib/openoffice.org/program/libsoffice.so + 0x3ce99
(Link::Call(void*) const + 0x1b)
0x076ba464: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x2d3464 (Menu::Select() + 0x46)
0x076b0b7e: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x2c9b7e (Menu::ImplCallSelect(Menu*) + 0x16)
0x076b0b9f: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x2c9b9f (Menu::LinkStubImplCallSelect(void*, void*) + 0x1d)
0x067c7e99: 0x000770cc: /usr/lib/openoffice.org/program/libsoffice.so + 0x3ce99
(Link::Call(void*) const + 0x1b)
0x07707cf2: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x320cf2 (ImplWindowFrameProc(void*, SalFrame*, unsigned short, void const*) +
0xc5a)
0x00e36af9: 0x0006f110: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so +
0x4eaf9 (SalFrame::CallCallback(unsigned short, void const*) const + 0x23)
0x00ec7512: 0x000a339c: /usr/lib/openoffice.org/program/libvclplug_gen680li.so +
0x69512 (SalDisplay::DispatchInternalEvent() + 0x78)
0x00e13adf: 0x0006f110: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so +
0x2badf (GtkXLib::userEventFn(void*) + 0x95)
0x00e13b1a: 0x0006f110: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so +
0x2bb1a (call_userEventFn + 0x1a)
0x0022ba91: 0x0009d29c: /lib/libglib-2.0.so.0 + 0x29a91
0x0022d7f2: 0x0009d29c: /lib/libglib-2.0.so.0 + 0x2b7f2 (g_main_context_dispatch
+ 0x182)
0x002307cf: 0x0009d29c: /lib/libglib-2.0.so.0 + 0x2e7cf
0x00230d35: 0x0009d29c: /lib/libglib-2.0.so.0 + 0x2ed35
(g_main_context_iteration + 0x65)
0x00e127dc: 0x0006f110: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so +
0x2a7dc (GtkXLib::Yield(bool, bool) + 0x94)
0x00ecce59: 0x000a339c: /usr/lib/openoffice.org/program/libvclplug_gen680li.so +
0x6ee59 (X11SalInstance::Yield(bool, bool) + 0x2f)
0x0757d8ab: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x1968ab (Application::Yield(bool) + 0x57)
0x0757d969: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x196969 (Application::Execute() + 0x2b)
0x067c422b: 0x000770cc: /usr/lib/openoffice.org/program/libsoffice.so + 0x3922b
(desktop::Desktop::Main() + 0x15fb)
0x0758243b: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x19b43b (ImplSVMain() + 0x49)
0x07582551: 0x004d961c: /usr/lib/openoffice.org/program/libvcl680li.so +
0x19b551 (SVMain() + 0x2d)
0x067bd88e: 0x000770cc: /usr/lib/openoffice.org/program/libsoffice.so + 0x3288e
(main + 0xe2)
0x009b2f70: 0x0014fd7c: /lib/libc.so.6 + 0x15f70 (__libc_start_main + 0xe0)
0x080484c1: 0x000006d8: /usr/lib/openoffice.org/program/swriter.bin + 0x4c1
(main + 0x5d)
...end stackreport details ...
...start sample ldd details ...
        linux-gate.so.1 =>  (0x00110000)
        libuno_sal.so.3 => /usr/lib/openoffice.org/program/libuno_sal.so.3
(0x00138000)
        libuno_salhelpergcc3.so.3 =>
/usr/lib/openoffice.org/program/libuno_salhelpergcc3.so.3 (0x0030a000)
        libstore.so.3 => /usr/lib/openoffice.org/program/libstore.so.3 (0x0030f000)
        libdl.so.2 => /lib/libdl.so.2 (0x0032c000)
        libpthread.so.0 => /lib/libpthread.so.0 (0x00331000)
        libstlport_gcc.so => /usr/lib/openoffice.org/program/libstlport_gcc.so
(0x00349000)
        libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x00418000)
        libm.so.6 => /lib/libm.so.6 (0x00503000)
        libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x0052c000)
        libc.so.6 => /lib/libc.so.6 (0x00538000)
        libcrypt.so.1 => /lib/libcrypt.so.1 (0x0068c000)
        /lib/ld-linux.so.2 (0x0097e000)
...end sample ldd details ...

Note You need to log in before you can comment on or make changes to this bug.